import $ from 'jquery'
import init from '../../init'
import Util from '../../TestUtil'

describe('LeftTree测试', () => {
  let vm = null
  before (() => {
    init()
    vm = Util.createTest('leftTree', {functions: '[{name:\'系统管理\', children:[{name:\'管理1\'},{name:\'管理2\'}]}]', userid: '2411888', isClick: false})
  })

  after (function () {
    Util.destroyVM(vm)
  })

  it('组件能够正确显示', () => {
    expect($(vm.$el).html().to.contain('管理1'))
  })
  /* it('内含组件能够正确显示', () => {
    expect($(vm.$el).html()).to.contain('Welcom')
  })
  it('组件参数能够正确传递', done => {
    // expect(vm.msg).to.equals('测试标题')
    vm.$nextTick(() => {
      expect($(vm.$el).html()).to.contain('测试标题')
      done()
    })
  }) */
})
